com.opensymphony.xwork2.util

## Class DomHelper

- java.lang.Object
- - com.opensymphony.xwork2.util.DomHelper

-     public class DomHelper
      extends Object

  Helper class to create and retrieve information from location-enabled DOM-trees.
  Since:
    1.2

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DomHelper.DOMBuilder` The `DOMBuilder` is a utility class that will generate a W3C DOM Document from SAX events.
    `static class` | `DomHelper.StartHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `XMLNS_URI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Location` | `getLocationObject(Element element)`
    `static Document` | `parse(InputSource inputSource)` Creates a W3C Document that remembers the location of each element in the source file.
    `static Document` | `parse(InputSource inputSource, Map<String,String> dtdMappings)` Creates a W3C Document that remembers the location of each element in the source file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XMLNS_URI

          public static final String XMLNS_URI

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DomHelper

          public DomHelper()

  - ### Method Detail

    - #### getLocationObject

          public static Location getLocationObject(Element element)

    - #### parse

          public static Document parse(InputSource inputSource)

      Creates a W3C Document that remembers the location of each element in the source file. The location of element nodes can then be retrieved using the `getLocationObject(Element)` method.
      Parameters:
        `inputSource` - the inputSource to read the document from
      Returns:
        the W3C Document

    - #### parse

          public static Document parse(InputSource inputSource,
                                       Map<String,String> dtdMappings)

      Creates a W3C Document that remembers the location of each element in the source file. The location of element nodes can then be retrieved using the `getLocationObject(Element)` method.
      Parameters:
        `inputSource` - the inputSource to read the document from
        `dtdMappings` - a map of DTD names and public ids
      Returns:
        the W3C Document

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.